/** @format */

@import "./colors.module.scss";

.darkMod {
  color: #{$d10};
  --text-color: #{$d10};
  --text-highlight: #{$w20};
  --text-muted: #{$d30};
  --text-muted-highlight: #{$d20};
  --text-inactive: #{$d40}; // add to white mod

  --base-color: #{$p30};
  --base-highlight: #{$p20};

  --border-color: #{$d50};
  --bg-color: #{$d60};
  --separator-color: #{$d50};

  --muted-color: #{$p50}; // unsettled
  --muted-highlight: #{$p40}; // unsettled

  --error-color: #{$r40};
  --error-highlight: #{$r30};
  --bg-error: #{$r70};

  --bg-bedrock: #{$d70}; // i.e. <body/> background
  --bg-base: #{$d60}; // e.g. navigation
  --bg-tooltip: #{$d60}; // add to lightmod
  //--bg-panel: #{$d60}; // should be #fafafa in light mod
  --bg-layer: #{$d60}; // e.g. card
  --bg-crust: #{$d60}; // e.g. tooltip
  --bg-topping: #{$d60}; // e.g. button, input, etc
  --bg-topping-highlight: #{$d50};
  --bg-dent: #{$d60};
}
